Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.ui
Class ColorBarPropertyEditPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.jfree.chart.ui.AxisPropertyEditPanel
                          org.jfree.chart.ui.NumberAxisPropertyEditPanel
                              org.jfree.chart.ui.ColorBarPropertyEditPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ColorBarPropertyEditPanel
extends org.jfree.chart.ui.NumberAxisPropertyEditPanel

A ColorBarPropertyEditPanel. Extends NumberAxisPropertyEditPanel to allow change general axis type parameters.

Author:
  David M. O'Donnell
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static java.util.ResourceBundle` | `localizationResources` The resourceBundle for the localization.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ColorBarPropertyEditPanel(ColorBar colorBar)` Creates a new edit panel for a color bar.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)` Handles actions from within the property panel.
`void` | `focusGained(java.awt.event.FocusEvent event)` Does nothing.
`void` | `focusLost(java.awt.event.FocusEvent event)` Revalidates minimum/maximum range.
`static ColorBarPropertyEditPanel` | `getInstance(ColorBar colorBar)` A static method that returns a panel that is appropriate for the axis type.
`double` | `getMaximumValue()` Returns the current setting of the maximum value in the axis range.
`double` | `getMinimumValue()` Returns the current setting of the minimum value in the axis range.
`boolean` | `isAutoRange()` Returns the current setting of the auto-range property.
`void` | `setAxisProperties(Axis axis)` Sets the properties of the specified axis to match the properties defined on this panel.
`void` | `setAxisProperties(ColorBar colorBar)` Sets the properties of the specified axis to match the properties defined on this panel.
`void` | `toggleAutoRange()` Toggle the auto range setting.
`void` | `validateMaximum()` Revalidate the range maximum.
`void` | `validateMinimum()` Revalidate the range minimum.

Methods inherited from class org.jfree.chart.ui.AxisPropertyEditPanel
`attemptTickLabelFontSelection, getInstance, getLabel, getLabelFont, getLabelInsets, getLabelPaint, getOtherTabs, getTickLabelFont, getTickLabelInsets, getTickLabelPaint, isTickLabelsVisible, isTickMarksVisible`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### localizationResources

    protected static java.util.ResourceBundle localizationResources

  The resourceBundle for the localization.

Constructor Detail

### ColorBarPropertyEditPanel

    public ColorBarPropertyEditPanel(ColorBar colorBar)

  Creates a new edit panel for a color bar.

Parameters:
  `colorBar` - the color bar.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Handles actions from within the property panel.

  Parameters:
    `event` - the event.

### setAxisProperties

    public void setAxisProperties(ColorBar colorBar)

  Sets the properties of the specified axis to match the properties defined on this panel.

  Parameters:
    `colorBar` - the color bar.

### getInstance

    public static ColorBarPropertyEditPanel getInstance(ColorBar colorBar)

  A static method that returns a panel that is appropriate for the axis type.

  Parameters:
    `colorBar` - the color bar.
  Returns:
    a panel or `nullnull`.

### isAutoRange

    public boolean isAutoRange()

  Returns the current setting of the auto-range property.

  Returns:
    `true` if auto range is enabled.

### getMinimumValue

    public double getMinimumValue()

  Returns the current setting of the minimum value in the axis range.

  Returns:
    the current setting of the minimum value in the axis range.

### getMaximumValue

    public double getMaximumValue()

  Returns the current setting of the maximum value in the axis range.

  Returns:
    the current setting of the maximum value in the axis range.

### focusGained

    public void focusGained(java.awt.event.FocusEvent event)

  Does nothing.

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`
  Parameters:
    `event` - the event.

### focusLost

    public void focusLost(java.awt.event.FocusEvent event)

  Revalidates minimum/maximum range.

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`
  Parameters:
    `event` - the event.

### toggleAutoRange

    public void toggleAutoRange()

  Toggle the auto range setting.

### validateMinimum

    public void validateMinimum()

  Revalidate the range minimum.

### validateMaximum

    public void validateMaximum()

  Revalidate the range maximum.

### setAxisProperties

    public void setAxisProperties(Axis axis)

  Sets the properties of the specified axis to match the properties defined on this panel.

  Overrides:
    `setAxisProperties` in class `AxisPropertyEditPanel`
  Parameters:
    `axis` - the axis.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD